Name: ams
Version: 1.8.1
Release: alt0.5

Summary: AlsaModularSynth is a realtime modular synthesizer
Summary(ru_RU.KOI8-R): AlsaModularSynth --   
Group: Sound
License: GPL
Url: http://alsamodular.sourceforge.net

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/%name-%version.tar.bz2
#Source1: %name-48x48.xpm
#Source2: %name-32x32.xpm
#Source3: %name-16x16.xpm

Patch: %name-1.8.1-alt-makefile.patch

Requires: jackd

# Automatically added by buildreq on Sat May 08 2004
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ jackit-devel ladspa_sdk libalsa-devel libfftw-devel libqt3-devel libstdc++-devel

%description
AlsaModularSynth is a realtime modular synthesizer and effect processor.
It features
    * MIDI controlled modular software synthesis
    * Realtime effect processing with capture from e.g. "Line In" or "Mic In".
    * Full control of all synthesis and effect parameters via MIDI.
    * Integrated LADSPA Browser with search capability
    * JACK Support

%description -l ru_RU.KOI8-R
AlsaModularSynth --     -,  
   .
  :
    *   MIDI   ;
    *          "Line In"  "Mic In";
    *           MIDI;
    *   LADSPA   ;
    *  JACK-.

%define qtdir %_libdir/qt3

%prep
%setup -q
%patch -p1
find -type f -print0 |xargs -r0 %__subst 's,sys/\(asoundlib.h\),alsa/\1,' --
find -type f -print0 |xargs -r0 %__subst 's,^[[:blank:]]*$,,g' --

%build
%make_build QT_BASE_DIR=%qtdir

%install
%__install -pD %name %buildroot%_bindir/%name
%__mkdir_p %buildroot%_datadir/%name

# instruments
%__cp -R instruments %buildroot%_datadir/%name/
# demos
%__cp -R demos %buildroot%_datadir/%name/
# tutorial
%__cp -R tutorial %buildroot%_datadir/%name/

# menu
%__cat <<__MENU__ >%name.menu
?package(%name): needs="X11" section="Multimedia/Sound" \
title="AlsaModularSynth" longtitle="A realtime modular synthesizer" \
command="%_bindir/%name --jack" icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot/%_menudir/%name

# icons
#%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
#%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
#%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
%_datadir/%name
#%_iconsdir/*.xpm
#%_iconsdir/*/*/*.xpm
%_menudir/%name
%doc README THANKS demos tutorial

%changelog
* Sat May 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.8.1-alt0.5
- 1.8.1

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.7.3-alt0.5
- 1.7.3

* Wed Jan 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.7.2-alt0.5
- 1.7.2

* Thu Dec 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.7.1-alt0.5
- 1.7.1

* Thu Aug 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.5.12-alt0.5
- 1.5.12
- summary, description by avp.

* Fri May 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.5.9-alt0.5
- new version.

* Tue Mar 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.5.5-alt0.5
- First build for Sisyphus.

